<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Handler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classHandler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Handler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="handler_8h_source.html">handler.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Handler:</div>
<div class="dyncontent">
<div class="center"><img src="classHandler__coll__graph.png" border="0" usemap="#Handler_coll__map" alt="Collaboration graph"/></div>
<map name="Handler_coll__map" id="Handler_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,107,141"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9fab0e3f11a020cd4864a5858b69e517"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHandler.html#a9fab0e3f11a020cd4864a5858b69e517">Handler</a> (<a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a> method, const std::string &amp;path, <a class="el" href="handler_8h.html#a90dff9b74e811490ae5849a46c222587">HandlerType</a> handler)</td></tr>
<tr class="separator:a9fab0e3f11a020cd4864a5858b69e517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd18a44d19007417996e607acaea85c7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHandler.html#afd18a44d19007417996e607acaea85c7">is</a> (<a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a> method, const std::string &amp;path) const</td></tr>
<tr class="separator:afd18a44d19007417996e607acaea85c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb6f96405374df04fa43cb8c2b05def1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHandler.html#acb6f96405374df04fa43cb8c2b05def1">call</a> (const <a class="el" href="classRequest.html">Request</a> &amp;req, <a class="el" href="classResponse.html">Response</a> &amp;res) const</td></tr>
<tr class="separator:acb6f96405374df04fa43cb8c2b05def1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a1d454f1b46a287bb91a3ec0e7e70ba84"><td class="memItemLeft" align="right" valign="top"><a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHandler.html#a1d454f1b46a287bb91a3ec0e7e70ba84">m_method</a></td></tr>
<tr class="separator:a1d454f1b46a287bb91a3ec0e7e70ba84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a263744fcd2cc1623d7806705cf3971b3"><td class="memItemLeft" align="right" valign="top">std::regex&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHandler.html#a263744fcd2cc1623d7806705cf3971b3">m_path</a></td></tr>
<tr class="separator:a263744fcd2cc1623d7806705cf3971b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea7aed30884ba9e1c483ca140191055c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="handler_8h.html#a90dff9b74e811490ae5849a46c222587">HandlerType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHandler.html#aea7aed30884ba9e1c483ca140191055c">m_handler</a></td></tr>
<tr class="separator:aea7aed30884ba9e1c483ca140191055c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9fab0e3f11a020cd4864a5858b69e517"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fab0e3f11a020cd4864a5858b69e517">&#9670;&nbsp;</a></span>Handler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Handler::Handler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a>&#160;</td>
          <td class="paramname"><em>method</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="handler_8h.html#a90dff9b74e811490ae5849a46c222587">HandlerType</a>&#160;</td>
          <td class="paramname"><em>handler</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acb6f96405374df04fa43cb8c2b05def1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb6f96405374df04fa43cb8c2b05def1">&#9670;&nbsp;</a></span>call()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Handler::call </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classRequest.html">Request</a> &amp;&#160;</td>
          <td class="paramname"><em>req</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classResponse.html">Response</a> &amp;&#160;</td>
          <td class="paramname"><em>res</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afd18a44d19007417996e607acaea85c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd18a44d19007417996e607acaea85c7">&#9670;&nbsp;</a></span>is()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Handler::is </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a>&#160;</td>
          <td class="paramname"><em>method</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aea7aed30884ba9e1c483ca140191055c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea7aed30884ba9e1c483ca140191055c">&#9670;&nbsp;</a></span>m_handler</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="handler_8h.html#a90dff9b74e811490ae5849a46c222587">HandlerType</a> Handler::m_handler</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d454f1b46a287bb91a3ec0e7e70ba84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d454f1b46a287bb91a3ec0e7e70ba84">&#9670;&nbsp;</a></span>m_method</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a> Handler::m_method</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a263744fcd2cc1623d7806705cf3971b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a263744fcd2cc1623d7806705cf3971b3">&#9670;&nbsp;</a></span>m_path</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::regex Handler::m_path</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>backend/src/lib/server/<a class="el" href="handler_8h_source.html">handler.h</a></li>
<li>backend/src/lib/server/<a class="el" href="handler_8cpp.html">handler.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
